Subject: Re: bug#38164: quit-restore-window doesn't restore point in man

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Apr 2021 22:36:00 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: "Basil L. Contovounesios" <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Sun, 04 Apr 2021 21:19:44 +0200
> 
> The recipe is unclear -- I think it's really
> 
> M-x man RET man RET
> select the man window
> M-: (progn (man "XYZ") (read-string "-->"))

Do you understand the practical importance of the last command?  IOW,
in which practical use case will 'man' be called like that?

> In Emacs 27, this will pop out of the read-string, which is the bug?

A very minor annoyance, I'd say.  It's easy dealt with.

> I'd rather fix the (setq Man-notify-method 'aggressive) regression than
> bring that awkward interface bug back.

If there's a practical use case there, I might agree.  Otherwise, we
will be jumping through hoops for a reason that isn't necessarily a
good one.